Bug 384901 - RHEL5 cmirror tracker: unable to create a --nosync mirror
RHEL5 cmirror tracker: unable to create a --nosync mirror
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.0
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 11:16 EST by Corey Marthaler
Modified: 2010-01-11 21:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:26:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 11:16:23 EST
Description of problem:
I attempted this mirror create with another mirror currently syncing.

[root@taft-02 ~]# lvcreate -m 1 -n nosyncA --nosync -L 5G taft
  WARNING: New mirror won't be synchronised. Don't read what you didn't write!
  Error locking on node taft-01: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-04: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-03: device-mapper: reload ioctl failed: Invalid
argument
  Error locking on node taft-02: device-mapper: reload ioctl failed: Invalid
argument
  Failed to activate new LV.


Nov 15 10:12:18 taft-02 clogd[6456]: Too many arguments to clustered_disk log type
Nov 15 10:12:18 taft-02 clogd[6456]: Failed to create cluster log
(LVM-yf1VpcAMnSUuAJzBd1LtnVhU1mVBBkmDjgo1kM7Ez
Nov 15 10:12:18 taft-02 kernel: device-mapper: dm-log-clustered: Server error
while processing request [DM_CLOG_2
Nov 15 10:12:18 taft-02 kernel: device-mapper: table: 253:9: mirror: Error
creating mirror dirty log
Nov 15 10:12:18 taft-02 kernel: device-mapper: ioctl: error adding target to table
Nov 15 10:12:18 taft-02 lvm[6568]: Monitoring mirror device taft-nosyncA for events


Version-Release number of selected component (if applicable):
2.6.18-53.el5
cmirror-1.1.0-7

How reproducible:
Everytime
Comment 3 Corey Marthaler 2008-01-21 15:53:37 EST
Fix verified in cmirror-1.1.5-4.el5.

Comment 6 errata-xmlrpc 2009-01-20 16:26:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.